<p-panel header="Pipes Básicos" class="p-1">
  <p>
    Pipes incluidos en Angular - Usualmente en el CommonModule
  </p>
</p-panel>

<div class="grid">
  <div class="col-4">
    <p-card header="uppercase">
      {{nameLower | uppercase}}
    </p-card>
  </div>

  <div class="col-4">
    <p-card header="lowercase">
      {{nameUpper | lowercase}}
    </p-card>
  </div>

  <div class="col-4">
    <p-card header="titlecase">
      {{fullName | titlecase}}
    </p-card>
  </div>

  <div class="md:col-6">
    <p-card header="titlecase">
      <ol>
        <li> fecha </li>
        <li> fecha | date </li>
        <li> fecha | date: 'short' </li>
        <li> fecha | date: 'long' </li>
        <li> fecha | date: 'MMMM' </li>
        <li> fecha | date: 'MMMM dd, yyyy' </li>
      </ol>

      <hr>

      <ol>
        <li> fecha | date:'long':'GMT-6' </li>
        <li> fecha | date:'long':'GMT-4' </li>
        <li> customDate | date:'long':'':'es-BO' </li>
        <li> customDate | date:'long':'':'fr-CA' </li>
      </ol>
    </p-card>
  </div>

  <div class="md:col-6">
    <p-card header="titlecase">
      <ol>
        <li>{{customDate}}</li>
        <li>{{customDate | date}}</li>
        <li>{{customDate | date: 'short'}}</li>
        <li>{{customDate | date: 'long'}}</li>
        <li>{{customDate | date: 'MMMM'}}</li>
        <li>{{customDate | date: 'MMMM dd, yyyy'}}</li>
      </ol>

      <hr>

      <ol>
        <li> {{customDate | date:'long':'GMT-6'}} </li>
        <li> {{customDate | date:'long':'GMT-4'}} </li>
        <li> {{customDate | date:'long':'':'es-BO'}} </li>
        <li> {{customDate | date:'long':'':'fr-CA'}} </li>
      </ol>

    </p-card>
  </div>
</div>